petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMPIAbortErrorHandler

Calls MPI_abort() and exits.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMPIAbortErrorHandler(MPI_Comm comm,int line,const char *fun,const char *file,PetscErrorCode n,PetscErrorType p,const char *mess,void *ctx)

Not Collective Many br

### Input Parameters

| comm | - communicator over which error occurred Many br
| line | - the line number of the error (indicated by __LINE__) Many br
| fun | - the function where the error occurred (indicated by __FUNCT__) Many br
| file | - the file in which the error was detected (indicated by __FILE__) Many br
| mess | - an error text string, usually just printed to the screen Many br
| n | - the generic error number Many br
| p | - PETSC_ERROR_INITIAL if error just detected, otherwise PETSC_ERROR_REPEAT Many br
| ctx | - error handler context Many br

Many br

### Notes

Most users need not directly employ this routine and the other error Many brhandlers, but can instead use the simplified interface SETERRQ, which has Many brthe calling sequence Many br

        SETERRQ(comm,n,p,mess)

### Notes for experienced users

Use PetscPushErrorHandler() to set the desired error handler. The Many brcurrently available PETSc error handlers include PetscTraceBackErrorHandler(), Many brPetscMPIAbortErrorHandler(), PetscAttachDebuggerErrorHandler(), and PetscAbortErrorHandler(). Many br

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler(), PetscTraceBackErrorHandler() Many br

Level:developer
Location:src/sys/error/errstop.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages